Redmine - Defect #25741

Can't locate Apache/Authn/Redmine.pm in @INC
2017-05-02 17:08 - lijun yin

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 3.33
Description

When | tried to config httpd to access git with redmine auth, got this error.
mod_perl was installed yet.

Anyone who can fix this problem, please help me.

Thanks.

(O]
CentOS with the latest update.

1. ruby --version
ruby 2.3.3p222 (2016-11-21 revision 56859) [x86_64-linux]

1. rails --version
Rails 4.2.8

Redmine 3.3.3

1. httpd -v
Server version: Apache/2.4.6 (CentOS)
Server built: Apr 12 2017 21:03:28

mkdir -p /usr/lib/perl5/Apache/Authn
In -s /var/lib/redmine/extra/svn/Redmine.pm /usr/lib/perl5/Apache/Authn/Redmine.pm

1. systemctl status httpd -I
[ httpd.service - The Apache HTTP Server
Loaded: loaded (/usr/lib/systemd/system/httpd.service; disabled; vendor preset: disabled)
Active: failed (Result: exit-code) since Fri 2017-04-28 09:20:34 CST; 2min 8s ago
Docs: man:httpd(8)
man:apachectl(8)
Process: 2744 ExecStop=/bin/kill -WINCH ${MAINPID} (code=exited, status=1/FAILURE)
Process: 2742 ExecStart=/usr/sbin/httpd $OPTIONS -DFOREGROUND (code=exited, status=1/FAILURE)
Main PID: 2742 (code=exited, status=1/FAILURE)

Apr 28 09:20:34 rmserver systemd1: Starting The Apache HTTP Server...

Apr 28 09:20:34 rmserver httpd2742: AH00526: Syntax error on line 1 of /etc/httpd/conf.d/redmine.conf:

Apr 28 09:20:34 rmserver httpd2742: Can't locate Apache/Authn/Redmine.pm in Cedric Albrecht (Cedric Albrecht contains:
/usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perlS/vendor_perl /usr/share/perl5/vendor_perl /ust/lib64/perl5 /usr/share/perl5 .
/etc/httpd) at (eval 2) line 2.\n

Apr 28 09:20:34 rmserver systemd1: httpd.service: main process exited, code=exited, status=1/FAILURE

Apr 28 09:20:34 rmserver kill2744: kill: cannot find process "

Apr 28 09:20:34 rmserver systemd1: httpd.service: control process exited, code=exited status=1

Apr 28 09:20:34 rmserver systemd1: Failed to start The Apache HTTP Server.

Apr 28 09:20:34 rmserver systemd1: Unit httpd.service entered failed state.

Apr 28 09:20:34 rmserver systemd1: httpd.service failed.

History

#1 - 2017-05-03 05:39 - Toshi MARUYAMA
- Category deleted (Project settings)

- Status changed from New to Closed
- Resolution set to Invalid

Obviously your setting failure.
FTR: Can't locate Apache/Authn/Redmine.pm in @INC
